﻿using System;
using System.Windows.Forms;

namespace System.Windows.Forms
{
	public class SprocketTextBox : TextBox
	{
		#region convenience functions
		protected override bool ProcessCmdKey(ref Message msg, Keys keyData)
		{
			if( keyData == (Keys.Control | Keys.A) )
			{
				this.SelectAll();
				return true;
			}

			return base.ProcessCmdKey( ref msg, keyData );
		}
		#endregion
	}
}